Package org.eclipse.mat.snapshot.model

# Interface IThreadStack

public interface IThreadStack
May be subject of change

Since:
  0.8
No Implement:

## Method Summary

Modifier and Type
Method
Description
`IStackFrame[]`
`getStackFrames()`
Get the stack frames (i.e.
`int`
`getThreadId()`
Get the ID of the thread to which this stack belongs

## Method Details

### getStackFrames

IStackFrame[] getStackFrames()
Get the stack frames (i.e. the different method calls) of the thread stack

Returns:
  `IStackFrame`[] an array containing all stack frames. The first element of the array contains the top of the stack, and the last element the bottom of the stack

### getThreadId

int getThreadId()
Get the ID of the thread to which this stack belongs

Returns:
  the object ID of the thread owning this stack